
%global meadversion 2.1.2
%global namedversion 2.1.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-json-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.2.redhat-00001

Name:           %{?scl_prefix}jakarta-json-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta JSON Processing API
Group:          Development/Java

%if %with mead
Source100: jakarta.json-api-2.1.2.redhat-00001-project-sources.tar.gz
Source102: jakarta.json-api-2.1.2.redhat-00001.pom
Source103: jakarta.json-api-2.1.2.redhat-00001-sources.jar
Source104: jakarta.json-api-2.1.2.redhat-00001.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/eclipse-ee4j/jsonp
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-json-api-%{namedversion}-%{release}-root

%description
Jakarta JSON Processing defines a Java(R) based framework for parsing, generating, transforming, and querying JSON documents.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-json-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.json-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.json-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.json-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.json-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.json-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.json-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.json-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-json-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.json-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta-json-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-json-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-json-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-json-api
%defattr(0644,root,root,0755)
%doc build.metadata
%{_javadir}/jakarta.json-api-%{namedversion}.jar
%{_javadir}/jakarta.json-api.jar
%if %with javadoc
%{_javadir}/jakarta.json-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.json-api-javadoc.jar
%endif
%{_javadir}/jakarta.json-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.json-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-json-api-%{namedversion}
%{_javadocdir}/jakarta-json-api
%endif

%changelog
* Wed Jun 21 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.2-1.redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.1-1.redhat_00002.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-2.redhat_00001.1
- Built by CPaaS

* Thu Sep 29 2022 Yong Yang <yyang@redhat.com> - 2.1.0-1.redhat_00001.1
- 2.1.0.redhat-00001
